macOS Big Sur compatibility


 

For best results, run Fiery software only on the supported operating systems and hardware platforms listed below.

The table lists the versions of Fiery products that are compatible with macOS 11 Big Sur running on Intel CPUs.

EFI is actively working to optimize its products to run natively on Apple computers using the Apple M1 chip. See below for Fiery products that currently run on Apple M1 computers using the macOS 11 (Big Sur) Rosetta 2 dynamic binary translator. 

We will update this webpage as compatible products are released.

Fiery Software Compatibility on Intel CPU

Compatibility on Apple M1 with Rosetta2

Compatibility on Apple M1 (native, without Rosetta 2)

Fiery Command WorkStation Package
  - Fiery Hot Folders

Version 6.5
Not compatible. Upgrade to version 6.6. Not compatible
Version 6.6 Version 6.6. Except Fiery Impose, Compose, JobMaster
Version 6.7  Version 6.7 Partially compatible
  - Fiery Impose, Compose, JobMaster Version 6.5 Not compatible. Upgrade to version 6.6.
Not compatible
Version 6.6 May experience problems when activating and deactivating the license code.
Version 6.7 Version 6.7 Partially compatible
Fiery Driver Fiery Driver 6.5
macOS versions supported:
- macOS 11 Big Sur
- macOS 10.15.x Catalina
- macOS 10.14.x Mojave

Fiery Driver 6.5

Not compatible.
Fiery FreeForm Create 1.1 and 1.2  1.1 and 1.2 Not compatible yet.
Fiery Color Profiler Suite 5.3.3 Compatible.
Check the Release Notes for compatibility exceptions.
Targeted to be supported in version 5.5.
Fiery XF Universal Driver  7.3.01.03 Compatible Compatible 
Fiery proServer and Fiery XF      
   - Fiery XF Server (Windows only server, so no
     impact for macOS 11)
Not applicable Not applicable Not applicable
 -  Fiery Color Profiler Suite 5.3.3 Compatible. Check the Release Notes for compatibility exceptions. Targeted to be supported in version 5.5.
 -  Fiery Command WorkStation Version 6.5 Not compatible. Upgrade to version 6.6. Not compatible
Version 6.6 Version 6.6.
Version 6.7 Version 6.7 Partially compatible 
 Acrobat 2017 Enfocus PitStop 2019 kit Compatible Not compatible yet. May experience licensing problems. Not compatible yet. May experience licensing problems.
PrintMe
Includes PrintMe Mac driver, PrintMe Web Release, and PrintMe.com website 
Compatible Compatible Compatible (except PrintMe Mac driver which requires Rosetta 2)
 EFI IQ      
 - ColorGuard
   Including ColorGuard Desktop and
   colorguard.efi.com 
 Compatible Compatible Not compatible yet
 - Dashboard, Insight, Manage, Notify  Compatible Compatible Compatible 
 - EFI Cloud Connector  Compatible Compatible Not compatible yet
 Self-Serve AdminCentral  Compatible Compatible  Compatible
 Fiery JobFlow  2.7.0.23  2.7.0.23 2.7.0.23